net.corda.core.contracts

## Class NotaryChange.Builder

- TransactionBuilder
- - net.corda.core.contracts.TransactionType.NotaryChange.Builder

- Enclosing class:
    TransactionType.NotaryChange

      public static class NotaryChange.Builder
      extends TransactionBuilder

  A transaction builder that automatically sets the transaction type to `class TransactionType.NotaryChange` and adds the list of participants to the signers set for every input state.

  See Also:
    `class TransactionType.NotaryChange`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder(Party notary)` A transaction builder that automatically sets the transaction type to `class TransactionType.NotaryChange` and adds the list of participants to the signers set for every input state.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addInputState(StateAndRef<?> stateAndRef)`

    - ### Methods inherited from class net.corda.core.transactions.TransactionBuilder

      `addAttachment, addCommand, addCommand, addCommand, addInputState, addOutputState, addOutputState, addOutputState, addOutputState, addSignatureUnchecked, attachments, checkAndAddSignature, checkSignature, commands, copy, getAttachments, getCommands, getCurrentSigs, getInputs, getNotary, getOutputs, getSigners, getTime, getTimestamp, getType, inputStates, outputStates, setNotary, setTime, setTime, setTimestamp, signWith, toSignedTransaction, toWireTransaction, withItems`

- - ### Constructor Detail

    - #### Builder

          public Builder(Party notary)

      A transaction builder that automatically sets the transaction type to `class TransactionType.NotaryChange` and adds the list of participants to the signers set for every input state.

      See Also:
        `class TransactionType.NotaryChange`

  - ### Method Detail

    - #### addInputState

          public void addInputState(StateAndRef<?> stateAndRef)